[DO NOT USE] Schema changes for Wikimedia wikis (tracking) [superseded by #Blocked-on-schema-change]
Closed, InvalidPublic

Description

See wikitech:schema changes for instructions. Please don't use this tracking ticket anymore, it is going to be archived soon.

Details

Reference
bz49188

Related Objects

StatusAssignedTask
InvalidNone
ResolvedReedy
InvalidNone
ResolvedSpringle
ResolvedSpringle
ResolvedSpringle
ResolvedNone
ResolvedSpringle
StalledNone
ResolvedNone
ResolvedNone
ResolvedSpringle
ResolvedNone
OpenNone
ResolvedNone
OpenNone
ResolvedNone
ResolvedSpringle
ResolvedNone
ResolvedReedy
ResolvedSpringle
ResolvedSpringle
ResolvedSpringle
ResolvedNone
ResolvedSpringle
ResolvedSpringle
StalledNone
OpenNone
Resolvedjcrespo
ResolvedNone
ResolvedSpringle
ResolvedNone
ResolvedSpringle
ResolvedSpringle
ResolvedSpringle
ResolvedSpringle
ResolvedSpringle
ResolvedMarostegui
ResolvedSpringle
OpenNone
OpenNone
OpenNone
ResolvedMarostegui
OpenNone
ResolvedSpringle
ResolvedNikerabbit
ResolvedAnomie
ResolvedSpringle
ResolvedSpringle
ResolvedSpringle
ResolvedTgr
Resolvedjcrespo
ResolvedTgr
ResolvedTgr
ResolvedSpringle
ResolvedTgr
Stalledmatthiasmullie
Resolvedawight
Resolvedjcrespo
Resolvedjcrespo
ResolvedCatrope
Resolvedjcrespo
OpenNone
OpenReedy
OpenMarostegui
There are a very large number of changes, so older changes are hidden. Show Older Changes
Tgr added a subtask: Restricted Task.Mar 4 2015, 1:55 AM
Tgr updated the task description. (Show Details)Jun 4 2015, 11:01 PM
Tgr set Security to None.
Tgr added a subscriber: Tgr.

How is this related to the Schema-change project? Is that project supposed to cover all schema changes, whether the extension is deployed on WMF wikis or not?

greg added a subscriber: jcrespo.Jun 15 2015, 5:21 PM
In T51188#1339454, @Tgr wrote:

How is this related to the Schema-change project? Is that project supposed to cover all schema changes, whether the extension is deployed on WMF wikis or not?

Correct.

This tracking task could be converted into a project (eg #wmf-schema-change) but I'll leave that to @Springle and @jcrespo.

Tgr updated the task description. (Show Details)Jun 15 2015, 5:34 PM
Tgr removed a subscriber: Tgr.Jun 17 2015, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 5:46 PM
Krenair added a subscriber: Krenair.

https://wikitech.wikimedia.org/wiki/Schema_changes says "We use a tracking ticket in Phabricator to list all schema change tickets": is that still accurate?

According to https://phabricator.wikimedia.org/T69223#1847831, it's possible that a report now needs to be tagged in 5 different ways:

  1. tracking bug,
  2. Schema-change, Blocked-on-schema-change and DBA,
  3. Cc.

If this is correct, please update the instructions. Should we mass edit the reports? In the meanwhile, I'll move some stuff from Wikimedia-General-or-Unknown, since #Wikimedia-Database aka #DBA became a component.

@Nemo_bis the latest instructions say to prefer tags over tracking bugs. In my opinion, this tracking bug is redundant with Schema-change, not with the "new" tags, as they should only be applied to subtasks (and other DBA tasks that are not schema changes). I do not have the weight to delete one or another.

In other words, either they have a #mediawiki-something component + Schema-change tag, or it is a blocked-by task with DBA component (+optionally Blocked-on-schema-change). I am not touching nor redefining "your" tags without your permission, but here is the proposal. Note: I am saying you and us as "mediawiki hackers" and "WMF infrastructure owners", but that is very relative. But my suggestion would be to get rid of this "tracking" bug. Let me know your thoughts on that and I of course will help migrating tickets.

Things are mostly

Nemo_bis added a comment.EditedDec 10 2015, 10:39 AM

Not my call, but there are other comments above on deprecating the tracking task so you could do that easily enough (just mark this invalid, add the relevant project to all blockers of the tracking bug and update the wiki page).

As for the other 4 markings, the differences are still too hard for me to grasp (see also comments on the proposal talk page) so I'll personally just use all of them simultaneously on tasks I care about, until I understand better.

@Nemo_bis I am still writing the documentation: everything here and here is false and outdated. I want to make sure that everybody agrees on the change, and that includes you understandin the process (which just officializes and coordinates what was done before in a way that one can check what changes are pending). Before that it was almost impossible to know what are the pending changes.

Please contact me, I will explain it and help me clarify the proposal for others. The proposal has not been resolved, and I would be glad with having your input, although as I said, it does not modify existing tags, only adds extra ones for operations.

jcrespo changed the status of subtask T69223: Schema change for page content language from Open to Stalled.May 11 2016, 10:22 AM
Nemo_bis changed the status of subtask T69223: Schema change for page content language from Stalled to Open.May 14 2016, 3:47 PM
Danny_B moved this task from Tag to Transition in progress on the Tracking board.Jul 11 2016, 3:30 PM
jcrespo changed the status of subtask T69223: Schema change for page content language from Open to Stalled.Nov 18 2016, 9:51 AM
jcrespo changed the status of subtask T69223: Schema change for page content language from Stalled to Open.Nov 22 2016, 2:02 PM

This tracking task could be converted into a project (eg #wmf-schema-change) but I'll leave that to @Springle and @jcrespo.

I am about to deprecate this tracking task- the documentation on schema changes workflow was updated a long time ago on: https://wikitech.wikimedia.org/wiki/Schema_changes#Related_tags

Most of these are probably never going to be merged because they are stuck on eternal discussion, but I will give a look at the ones open to see if something got forgotten.

jcrespo updated the task description. (Show Details)Apr 20 2017, 1:17 PM
Reedy changed the status of subtask T107323: Page properties: Change pp_sortkey from float to double from Open to Stalled.
Reedy changed the status of subtask T51195: Drop fj_new_sha1 field from Open to Stalled.Apr 26 2017, 2:35 PM

I think Reedy has triage all of this tickets, so this tracking task can be archived (deprecated by Blocked-on-schema-change)

jcrespo closed this task as Invalid.Apr 26 2017, 2:48 PM

Use the new workflow instead https://wikitech.wikimedia.org/wiki/Schema_changes from now on to tag in-discussion and/or pending to be applied to WMF schema changes.

Liuxinyu970226 renamed this task from Schema changes for Wikimedia wikis (tracking) to [DO NOT USE] Schema changes for Wikimedia wikis (tracking) [superseded by #Blocked-on-schema-change].Nov 12 2017, 1:34 AM